Subject: bug#45854: 28.0.50; [feature/native-comp] autoload behavior different in the presence of errors

From: Andrea Corallo <[email-masked]>
Date: Fri, 29 Jan 2021 09:08:13 +0000

Mauricio Collares <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>>
>> I tried to reproduce again but with no success:
>>
>> ====
>> [...]
>> ====
>>
>> Am I doing something wrong?
>
> Thanks for testing! You're not doing anything wrong from what I see, but
> I messed up in my last email: The git-commitx.el file from my first
> email causes the bug to show up but not the last one I sent. I must have
> forgotten to erase ~/.emacs.d/elpa after testing on the last email; I am
> very sorry for the time wasting caused by this mistake. On the bright
> side, at least this makes more sense, since the commit that exposed this
> bug is related to autoloads.
>
> If you're feeling charitable,

LOL, I'm no worries :)

> testing with the original git-commitx.el
> and with a clean ~/tmp would be helpful. Either way, I appreciate the
> time you took to test this, and I will ask other people to try and
> reproduce this too.

I can reproduce it!  I'll try to have a look it this week-end to explain
what's going on.

Thanks

  Andrea